package com.unis.base.server.service.impl;

import com.unis.base.common.vo.MoneyMonitorVO;
import com.unis.base.server.domain.MoneyMonitorDomain;
import com.unis.base.server.service.MoneyMonitorService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;


/**
 * @author zoujieli
 * @version 1.0
 * @date 2019/09/18 17点26分
 */
@Service
public class MoneyMonitorServiceImpl implements MoneyMonitorService {

	@Autowired
	private MoneyMonitorDomain moneyMonitorDomain;

	@Override
	public Map<String, Object> getMoneyMonitorList(Integer pageNum, Integer pageSize) {
		return moneyMonitorDomain.getMoneyMonitorList(pageNum,pageSize);
	}

	@Override
	public MoneyMonitorVO getMoneyMonitorDetail(String jcdid) {
		return moneyMonitorDomain.getMoneyMonitorDetail(jcdid);
	}

	@Override
	public void updateMoneyMonitor(MoneyMonitorVO moneyMonitorVO) {
		moneyMonitorDomain.updateMoneyMonitor(moneyMonitorVO);
	}

	@Override
	public void deleteMoneyMonitor(String jcdid) {
		moneyMonitorDomain.deleteMoneyMonitor(jcdid);
	}

	@Override
	public void insertMoneyMonitor(MoneyMonitorVO moneyMonitorVO) {
		moneyMonitorDomain.insertMoneyMonitor(moneyMonitorVO);
	}
}
